Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006234 [JEDI VCL] 00 JVCL Components minor always 2013-12-04 12:52 2015-09-14 13:20
Reporter Torbins View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006234: TJvMemoryData imports indexes incorrectly
Description If records in source dataset were sorted not by index, then this indexes will be imported incorrectly by TJvMemoryData. I have added a patch, to fix this problem.
Additional Information
Tags No tags attached.
Attached Files ? file icon JMD Index Import fix.patch [^] (3,227 bytes) 2013-12-04 12:52
7z file icon Jira 6234.7z [^] (452,995 bytes) 2013-12-16 12:15

- Relationships

-  Notes
(0020753)
obones (administrator)
2013-12-13 11:10

Please try with the latest JVCL version in GIT (or daily zip) and then send us a zipped file containing the sources of an application showing the issue.
(0020853)
Torbins (reporter)
2013-12-16 12:16

I have added a demo.
(0020882)
obones (administrator)
2013-12-18 15:39

This is now in GIT

- Issue History
Date Modified Username Field Change
2013-12-04 12:52 Torbins New Issue
2013-12-04 12:52 Torbins File Added: JMD Index Import fix.patch
2013-12-13 11:10 obones Note Added: 0020753
2013-12-13 11:10 obones Status new => feedback
2013-12-16 12:15 Torbins File Added: Jira 6234.7z
2013-12-16 12:16 Torbins Note Added: 0020853
2013-12-16 17:48 obones Status feedback => acknowledged
2013-12-18 15:39 obones Note Added: 0020882
2013-12-18 15:39 obones Status acknowledged => resolved
2013-12-18 15:39 obones Fixed in Version => Daily / GIT
2013-12-18 15:39 obones Resolution open => fixed
2013-12-18 15:39 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker